org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.GraphVariablesFunctionalityTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.GraphVariablesFunctionalityTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.GraphVariablesFunctionalityTest
      extends AbstractGremlinTest

  Feature checks that tests if `Graph.Variables` functionality to determine if a feature should be on when it is marked as not supported.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `featureName`
    `Object` | `value`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphVariablesFunctionalityTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldEnableFeatureOnGraphIfNotEnabled()` In this case, the feature requirement for sideEffects is checked, because it means that at least one aspect of sideEffects is supported so we need to test other features to make sure they work properly.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### featureName

          public String featureName

    - #### value

          public Object value

  - ### Constructor Detail

    - #### GraphVariablesFunctionalityTest

          public GraphVariablesFunctionalityTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldEnableFeatureOnGraphIfNotEnabled

          public void shouldEnableFeatureOnGraphIfNotEnabled()
                                                      throws Exception

      In this case, the feature requirement for sideEffects is checked, because it means that at least one aspect of sideEffects is supported so we need to test other features to make sure they work properly.
      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.